Stop the specified card.
NB. Error message “Operation not allowed” will appear if client tries to stop a card that is already stopped with a different reason code on our system.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card. Field is required if the customer has more than one card linked to their wallet |
| reasonID | String | ✓ | The reason id for stopping the card:; 1 – Card lost; 2 – Card stolen; 3 – Pending query; 4 – Card consolidation; 5 – Card inactive; 6 – PIN tries exceeded; 7 – Suspected fraud; 8 – Card replaced; 9 – Card re-issued; 10 – Card schedule stop; 11 – Offline PIN tries exceeded | |
| note | String | 0-255 characters | ✓ | A note / reason for the stopping the card. Field is required but can accept empty string |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version=""1.0""?>
<methodCall>
<methodName>StopCard</methodName>
<params>
<param>
<value>
<string>0014682067</string>
</value>
</param>
<param>
<value>
<string>TTKTEST</string>
</value>
</param>
<param>
<value>
<string>5267264108771089</string>
</value>
</param>
<param>
<value>
<int>1</int>
</value>
</param>
<param>
<value>
<string>Testing StopCard</string>
</value>
</param>
<param>
<value>
<string>123456</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200327T14:07:14</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>F783BD9FEFF8B41B49B8492A3F4CEC959FAB08C3</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>